% Driver script for solving the 1D Burgers equations
Globals1D;
% N=6, K=10 good for testing

% Order of polymomials used for approximation 
N = 1;

% Generate simple mesh
xL = -10.0; xR = 50.0;
[Nv, VX, K, EToV] = MeshGen1D(xL,xR,500);

% Initialize solver and construct grid and metric
StartUp1D;

% Set initial conditions
epsilon = 1.0;
u = 1./cosh(epsilon*(x+5.0)).^2 + 1.0;

% Solve Problem
FinalTime = 50;
[u] = Burgers1DEx4(u,epsilon,xL,xR,FinalTime);
